Analytics

Collection Usage

These endpoints return information related to the specific event. You can enrich these events with specific data about the collection or the user by making use of the Collections API endpoints or the Users API endpoints.

Retrieve collection view events

get
https://{your-bynder-domain}/v7/analytics/api/v1/collection/views

Query Parameters

limitinteger

The maximum number of analytics events to retrieve. Allowed values are between 1 and 10000.

Default:1000

cursorstring

Cursor mark returned in the response headers to be used for pagination purposes.

Default:MA

fromDateTimestring(date-time)

Retrieve view events occurred after this date. ISO8601 format: yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

toDateTimestring(date-time)

Set a date range together with the “fromDateTime” parameter. ISO8601 format: yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

Response

200 application/json

Successful response

collectionIdstring

Example:CA510292-E39E-4B28-AB6444CDD2B1C5C0

dateTimestring(date-time)

Example:2021-11-15T10:07:57.781+00:00

eventIdstring

Example:ad3c8d01-4a2f-461c-b17d-2ecc51723028

eventTypestring

Example:CollectionViewed

ipAddressstring

Example:192.158.1.38

isBynderSupportboolean
isOwnerboolean
userAgentstring

Example:Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/107.0.0.0 Safari/537.36

userIdstring

Example:1A84D758-2B3A-141F-8F07D71AA1F223BD

viewOriginstring

Example:internal

get/v7/analytics/api/v1/collection/views
 
200 application/json

Retrieve collection view events in CSV format

get
https://{your-bynder-domain}/v7/analytics/api/v1/collection/views.csv

Query Parameters

limitinteger

The maximum number of analytics events to retrieve. Allowed values are between 1 and 10000.

Default:1000

cursorstring

Cursor mark returned in the response headers to be used for pagination purposes.

Default:MA

fromDateTimestring(date-time)

Retrieve view events occurred after this date. ISO8601 format: yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

toDateTimestring(date-time)

Set a date range together with the “fromDateTime” parameter. ISO8601 format: yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

Response

200 text/csv

Successful response

get/v7/analytics/api/v1/collection/views.csv
 
200 text/csv

Retrieve collection views

get
https://{your-bynder-domain}/v7/analytics/api/v2/collection/views

Query Parameters

limitinteger

The maximum number of analytics events to retrieve. Allowed values are between 1 and 10000.

Default:1000

cursorinteger

Cursor mark returned in the response headers to be used for pagination purposes.

Default:0

fromDateTimestring(date-time)

Retrieve view events occurred after this date. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

toDateTimestring(date-time)

Set a date range together with the “fromDateTime” parameter. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

Response

200 application/json

Successful response

collectionIdstring

Example:DA621393-F40F-5C39-BC7555DEE3C2D6D1

dateTimestring(date-time)

Example:2021-11-15T10:07:57.781+00:00

eventIdstring

Example:936280dd-b06e-44be-ae9f-85e2661510a1

eventTypestring

Example:CollectionViewed

isBynderSupportboolean
isOwnerboolean

Example:true

userAgentstring

Example:Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)

userIdstring

Example:1A84D758-2B3A-141F-8F07D71AA1F223BD

viewOriginstring

Example:portal

get/v7/analytics/api/v2/collection/views
 
200 application/json

Reporting

These endpoints provide reporting capabilities for assets of the DAM, making it easier to build your own customised reports.